import java.awt.*;

public class DrawningObjectExcavator implements IMoveableObject{
    private DrawningTracktor _tracktor = null;

    public DrawningObjectExcavator(DrawningTracktor tracktor) {
        this._tracktor = tracktor;
    }

    @Override
    public ObjectParameters getObjectPosition(){
        if(_tracktor == null || _tracktor.getEntityTracktor() == null){
            return null;
        }
        return new ObjectParameters(_tracktor.getPosX(), _tracktor.getPosY(),_tracktor.getWidth(), _tracktor.getHeight());
    }
    @Override
    public int getStep() {
        if (_tracktor == null) {
            return 0;
        }
        return (int)((_tracktor.getEntityTracktor() != null)? _tracktor.getEntityTracktor().getStep() : 0);
    }
    @Override
    public boolean checkCanMove(Direction direction){
        if(_tracktor == null){
            return false;
        }
        return  _tracktor.CanMove(direction);
    }
    @Override
    public void moveObject(Direction direction) {
        if (_tracktor != null) {
            _tracktor.MoveTransport(direction);
        }
    }
}
