import javax.swing.*;
import java.awt.*;
import java.util.Random;

public class PictureBoxDop extends JPanel {
    GenericDop<EntityTracktor, IDrawningRollers> genericDop;
    private JButton buttonCreate;
    public DrawningTracktor drawingTracktor;

    public PictureBoxDop(){
        setLayout(null);
        Random random = new Random();
        setBounds(0, 0, 800, 450);
        genericDop = new GenericDop<>(100, 100, this.getWidth(), this.getHeight());
        genericDop.add(new EntityTracktor(100, 100, Color.BLUE));
        genericDop.add(new EntityTracktor(100, 100, Color.RED));
        genericDop.add(new EntityTracktor(100, 100, Color.GREEN));
        genericDop.add(new EntityExcavator(100, 100, Color.BLUE, Color.BLACK, Color.RED,true, true));
        genericDop.add(new EntityExcavator(100, 100, Color.GREEN,  Color.MAGENTA, Color.YELLOW,true, true));
        genericDop.add(new DrawningRollers(random.nextInt(4,6),Color.blue));
        genericDop.add(new DrawningCrossRollers(random.nextInt(4,6),Color.blue));
        genericDop.add(new DrawningSquaredRollers(random.nextInt(4,6),Color.blue));

        buttonCreate = new JButton("Создать");
        buttonCreate.setFocusable(false);
        buttonCreate.setBounds(12, 415, 150, 30);
        buttonCreate.addActionListener(e -> {
            drawingTracktor = genericDop.DrawingTracktorDop();
            repaint();
        });
        add(buttonCreate);
        setPreferredSize(new Dimension(800, 450));
    }
    @Override
    protected void paintComponent(Graphics g) {
        if (drawingTracktor == null) {
            return;
        }
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D) g;
        drawingTracktor.SetPosition(100, 100);
        drawingTracktor.DrawTransport(g2d);
    }
}
